org.apache.ignite.internal.visor.cache

## Class VisorCacheTypeMetadata

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheTypeMetadata

All Implemented Interfaces:
  Serializable

    public class VisorCacheTypeMetadata
    extends Object
    implements Serializable

Data transfer object for `CacheTypeMetadata`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheTypeMetadata()`

### Method Summary

Methods
`Map<String,String>` `ascFlds()`
`void` `ascFlds(Map<String,String> ascFlds)`
`String` `dbSchema()`
`void` `dbSchema(String dbSchema)`
`String` `dbTbl()`
`void` `dbTbl(String dbTbl)`
`Map<String,String>` `descFlds()`
`void` `descFlds(Map<String,String> descFlds)`
`static VisorCacheTypeMetadata` `from(CacheTypeMetadata m)`
`Map<String,LinkedHashMap<String,IgniteBiTuple<String,Boolean>>>` `grps()`
`void` `grps(Map<String,LinkedHashMap<String,IgniteBiTuple<String,Boolean>>> grps)`
`Collection<VisorCacheTypeFieldMetadata>` `keyFields()`
`void` `keyFields(Collection<VisorCacheTypeFieldMetadata> keyFields)`
`String` `keyType()`
`void` `keyType(String keyType)`
`static Collection<VisorCacheTypeMetadata>` `list(Collection<CacheTypeMetadata> types)`
`Map<String,String>` `qryFlds()`
`void` `qryFlds(Map<String,String> qryFlds)`
`Collection<String>` `txtFlds()`
`void` `txtFlds(Collection<String> txtFlds)`
`Collection<VisorCacheTypeFieldMetadata>` `valFields()`
`void` `valFields(Collection<VisorCacheTypeFieldMetadata> valFields)`
`String` `valType()`
`void` `valType(String valType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheTypeMetadata

    public VisorCacheTypeMetadata()

### Method Detail

#### list

    public static Collection<VisorCacheTypeMetadata> list(Collection<CacheTypeMetadata> types)

Parameters:
  `types` - Cache types metadata configurations.
Returns:
  Data transfer object for cache type metadata configurations.

#### from

    public static VisorCacheTypeMetadata from(CacheTypeMetadata m)

Parameters:
  `m` - Actual cache type metadata.
Returns:
  Data transfer object for given cache type metadata.

#### dbSchema

    public void dbSchema(String dbSchema)

Parameters:
  `dbSchema` - New schema name in database.

#### dbSchema

    public String dbSchema()

Returns:
  Schema name in database.

#### dbTbl

    public void dbTbl(String dbTbl)

Parameters:
  `dbTbl` - New table name in database.

#### dbTbl

    public String dbTbl()

Returns:
  Table name in database.

#### keyType

    public void keyType(String keyType)

Parameters:
  `keyType` - New key class used to store key in cache.

#### keyType

    public String keyType()

Returns:
  Key class used to store key in cache.

#### valType

    public void valType(String valType)

Parameters:
  `valType` - New value class used to store value in cache.

#### valType

    public String valType()

Returns:
  Value class used to store value in cache.

#### keyFields

    public void keyFields(Collection<VisorCacheTypeFieldMetadata> keyFields)

Parameters:
  `keyFields` - New key fields.

#### keyFields

    public Collection<VisorCacheTypeFieldMetadata> keyFields()

Returns:
  Key fields.

#### valFields

    public void valFields(Collection<VisorCacheTypeFieldMetadata> valFields)

Parameters:
  `valFields` - New value fields.

#### valFields

    public Collection<VisorCacheTypeFieldMetadata> valFields()

Returns:
  Value fields.

#### qryFlds

    public void qryFlds(Map<String,String> qryFlds)

Parameters:
  `qryFlds` - New fields to be queried, in addition to indexed fields.

#### qryFlds

    public Map<String,String> qryFlds()

Returns:
  Fields to be queried, in addition to indexed fields.

#### ascFlds

    public void ascFlds(Map<String,String> ascFlds)

Parameters:
  `ascFlds` - New fields to index in ascending order.

#### ascFlds

    public Map<String,String> ascFlds()

Returns:
  Fields to index in ascending order.

#### descFlds

    public void descFlds(Map<String,String> descFlds)

Parameters:
  `descFlds` - New fields to index in descending order.

#### descFlds

    public Map<String,String> descFlds()

Returns:
  Fields to index in descending order.

#### txtFlds

    public void txtFlds(Collection<String> txtFlds)

Parameters:
  `txtFlds` - New fields to index as text.

#### txtFlds

    public Collection<String> txtFlds()

Returns:
  Fields to index as text.

#### grps

    public void grps(Map<String,LinkedHashMap<String,IgniteBiTuple<String,Boolean>>> grps)

Parameters:
  `grps` - New fields to create group indexes for.

#### grps

    public Map<String,LinkedHashMap<String,IgniteBiTuple<String,Boolean>>> grps()

Returns:
  Fields to create group indexes for.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015